c_______________________________________________________________________________
c
c   Este programa lee un vector de n componentes (n.le.10) e imprime su modulo.
c   Para calcular el modulo del vector se utiliza una subrutina.
c   A continuacion espera a que se pulse la tecla RETURN (Entrar).
c_______________________________________________________________________________

      parameter(MXN=10)
      implicit real*8 (a-h,o-z)

      dimension v(MXN)

    1 write(6,'(/a,$)') ' Dimension del vector : '
      read(5,*) n
      if (n.lt.1.or.n.gt.MXN) goto 1

      write(6,'()')
      do i=1,n
        write(6,'(a,i6,a,$)') ' Componente v(',i,') = '
        read(5,*) v(i)
      enddo

      w=0.d+00
      call ProductoEscalar(n, v, v, w)
      w = sqrt(w)

      write(6,'(/a,e24.16/)') ' Modulo del vector = ',w

      read(5,'()')
      end
